package com.jz.common.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;

/**
 * @ClassName: 商城用户状态信息
 * @Author: Carl
 * @Date: 2020/12/3
 * @Version:
 */
@ApiModel
@Data
public class MallCustomerApiDto implements Serializable {

    private static final long serialVersionUID = 8769496459018372044L;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "账户id")
    private Long customerId;
    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private Long departmentId;
    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "供应商编号")
    private String vendorId;
    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;
    /**
     * 账户
     */
    @ApiModelProperty(value = "账户")
    private String customerAccount;
    /**
     * 用户真实姓名
     */
    @ApiModelProperty(value = "真实姓名")
    private String customerName;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "电话")
    private String customerPhone;

    /**
     * 资产账户id
     */
    @ApiModelProperty(value = "资产账户id")
    private String assetsId;

    @ApiModelProperty(value = "头像")
    private String headPortraitUrl;

//    @ApiModelProperty(value = "角色")
//    private String roleId;
}
