package com.jz.common.bean;

import com.jz.common.enums.UserTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: 后台用户状态信息
 * @Author: Carl
 * @Date: 2020/12/3
 * @Version:
 */
@ApiModel
@Data
public class SysUserDto implements Serializable {

    private static final long serialVersionUID = -8194718171444972705L;
    /**
     * 平台用户id
     */
    @ApiModelProperty(value = "平台用户id")
    private Long userId;
    /**
     * 组织机构id
     */
    @ApiModelProperty(value = "组织机构id")
    private Long orgId;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    /**
     * 账户
     */
    @ApiModelProperty(value = "账户")
    private String account;

    @ApiModelProperty(value = "供应商")
    private String supplierName;

    /**
     * 电话
     */
    @ApiModelProperty(value = "账号类型")
    private UserTypeEnum userTypeEnum;

}
