package com.jz.common.enums;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */
public enum OrderStatusEnum {
    DZF("DZF", "01"),
    YZF("YZF", "02"),
    YQS("YQS", "03"),
    ;
    private String code;

    private String value;
    OrderStatusEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static OrderStatusEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (OrderStatusEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
