package com.jz.common.enums;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */
public enum YNEnum {

    YES("YES", "Y"),

    NO("NO", "N"),

    ;

    private String code;

    private String value;

    private YNEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static YNEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (YNEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
