package com.jz.common.enums.auth;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */
public enum CategoryByIfSceneEnum {
    YES("场景分类", "Y"),
    NO("商品分类", "N"),
    ;
    private String code;

    private String value;
    CategoryByIfSceneEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static CategoryByIfSceneEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (CategoryByIfSceneEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
