package com.jz.dm.mall.moduls.controller.customer;

import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.customer.bean.dto.PurchaserUserCenterDto;
import com.jz.dm.mall.moduls.controller.customer.bean.req.PurchaserUserCenterReq;
import com.jz.dm.mall.moduls.service.OrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/19
 * @Version:
 */
@RestController
@RequestMapping("/purchaser")
@Api(tags = "买方用户--controller")
public class PurchaserController {

    @Autowired
    private OrderService orderServer;

    /**
     * 买家-用户中心
     * @param req
     * @return
     */
    @PostMapping(value = "/userCenter")
    @ApiOperation(value = "买家-用户中心")
    public Result<PurchaserUserCenterDto> userCenter(@RequestBody PurchaserUserCenterReq req) {
        return orderServer.userCenter(req);
    }
}
