package com.jz.dm.mall.moduls.controller.finance.bean.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/9
 * @Version:
 */
@ApiModel(value = "查询余额是否充足请求参数")
@Data
public class FinanceCustomerAssetsReq implements Serializable {
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "资产id")
    @NotNull(message = "资产id不能为空")
    private Long assetsId;

    @ApiModelProperty(value = "价格")
    @NotNull(message = "价格不能为空")
    private String dataPrice;

    @ApiModelProperty(value = "返回状态")
    private Boolean callStatus;
}
