package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @ClassName: 商品列表返回对象
 * @Author: Carl
 * @Date: 2020/12/9
 * @Version:
 */
@ApiModel(value = "商品列表", description = "商品列表参数对象")
@Data
public class DataGoodsListDto {

    /**
     * 数据商品id
     */
    @ApiModelProperty(value = "数据商品id")
    private Long dataGoodsId;

    /**
     * 数据商品名称
     */
    @ApiModelProperty(value = "数据商品名称")
    private String dataName;

    @ApiModelProperty(value = "数据描述")
    private String dataDesc;

    @ApiModelProperty("更新时间")
    private Date uptTime;

    @ApiModelProperty("对接客户数")
    private String userNumbers;

    @ApiModelProperty("apiKey")
    private String apiKey;

    @ApiModelProperty("授权")
    private String goodsToken;

    @ApiModelProperty("商品分类id")
    private Long categoryId;

    @ApiModelProperty("场景分类id")
    private Long sceneId;
}
