package com.jz.dm.mall.moduls.controller.goods.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/9
 * @Version:
 */
@ApiModel(value = "数据目录--数据商品列表参数对象", description = "数据商品列表参数对象")
@Data
public class DataGoodsListRequest extends BasePageBean {

    /**
     * 商品分类id
     */
    @ApiModelProperty(value = "商品分类id")
    private Long categoryId;

    @ApiModelProperty(value = "场景分类id")
    private Long sceneId;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型：01api,02数据包")
    private String dataType;

    @ApiModelProperty(value = "数据搜索商品名称")
    private String dataName;

}
