package com.jz.dm.mall.moduls.controller.order.bean.req;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/19
 * @Version:
 */
@Data
@ApiModel(value = "卖家-api订单请求参数")
public class OrderBySellerReq extends BasePageBean {

    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;

    @ApiModelProperty(value = "企业名")
    private Long departmentName;
    /**
     * 订单状态：01待支付，02已支付，03已取消
     */
    @ApiModelProperty(value = "订单状态：01待支付，02已支付，03已取消")
    private String orderStatus;

    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    private String orderTime;

    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;

    @ApiModelProperty(value = "搜索条件")
    private String search;
}
