package com.jz.manage.moduls.controller.config.bean.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
public class MenuConfigReq implements Serializable {
    @ApiModelProperty("菜单id")
    @NotNull(message = "菜单id不能为空")
    private Long configId;

    @ApiModelProperty("菜单路径")
    @NotNull(message = "菜单路径不能为空")
    private String configUrl;
}
