package com.jz.manage.moduls.controller.customer.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/18
 * @Version:
 */
@Data
@ApiModel(value = "企业审核请求状态参数")
public class DepartmentAuditReq implements Serializable {

    @ApiModelProperty(value = "企业id")
    @NotNull(message = "企业id不能为空")
    private Long departmentId;

    @ApiModelProperty(value = "统一社会信用代码")
    @NotNull(message = "统一社会信用代码不能为空")
    private String unifiedCreditCode;

    @ApiModelProperty(value = "审核状态 01通过，02未通过")
    @NotNull(message = "审核状态不能为空")
    private String auditStatus;

    @ApiModelProperty(value = "驳回原因")
    private String rejectReason;
}
