package com.jz.manage.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/5
 * @Version:
 */
@Data
@ApiModel
public class CategoryAndSceneReq implements Serializable {
    @ApiModelProperty(value = "场景分类id")
    private Long sceneId;

    @ApiModelProperty(value = "商品分类id")
    @NotNull(message = "商品分类id不能为空")
    private Long categoryId;

}
