package com.jz.manage.moduls.controller.goods.bean.request;

import com.sun.org.apache.xpath.internal.operations.Bool;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/2
 * @Version:
 */
@ApiModel
@Data
public class DataGoodsByRoleReq implements Serializable {

    @ApiModelProperty(value = "商品id")
    @NotNull(message = "商品id不能为空！")
    private Long dataGoodsId;

    @ApiModelProperty(value = "未登录用户  01开启，02关闭")
    private String logOutUser;

    @ApiModelProperty(value = "已登陆认证用户  01开启，02关闭")
    private String unverifiedUser;

    @ApiModelProperty(value = "已认证用户 01开启，02关闭")
    private String authenticatedUser;
}
