package com.jz.manage.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/20
 * @Version:
 */
@ApiModel
@Data
public class DataGoodsEditReq implements Serializable {
    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private Long dataGoodsId;

    @ApiModelProperty(value = "上下架状态 ,01上架，02下架",required = true)
    @NotNull(message = "上下架状态不能为空")
    private String statusId;
}
