package com.jz.manage.moduls.controller.order.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/18
 * @Version:
 */
@ApiModel("订单详情")
@Data
public class ApiInterfaceDetailDto implements Serializable {

    /**
     * 目标url
     */
    @ApiModelProperty("目标url")
    private String targetUrl;

    /**
     * 请求方式:GET POST
     */
    @ApiModelProperty("请求方式")
    private String reqType;

    /**
     * api唯一标识
     */
    @ApiModelProperty("api唯一标识")
    private String apiKey;

    /**
     * '输出类型:flow 流形式输出, json格式输出',
     */
    @ApiModelProperty("输出类型")
    private String outputType;



    @ApiModelProperty("参数名称")
    private String paramsName;

    @ApiModelProperty("参数类型")
    private String paramsType;

    @ApiModelProperty("参数描述")
    private String paramsDesc;

    @ApiModelProperty("默认值")
    private String defaultValue;

}
