package com.jz.manage.moduls.controller.order.bean.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Carl
 * @DATE: 2021/2/18 15:34

 **/
@Data
@ApiModel("API详情信息")
public class ApiInterfaceDetailReq implements Serializable {

    @ApiModelProperty(value = "id",required = false)
    private Long id;

    @ApiModelProperty(value = "apiKey",required = true)
    @NotNull(message = "apiKey不能为空")
    private String apiKey;
}
