package com.jz.manage.moduls.controller.sys;

import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.controller.sys.bean.req.LoginRequest;
import com.jz.manage.moduls.service.SysUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/sys")
@Api(tags = "用户登录api")
public class LoginController extends BaseController {

    @Autowired
    private SysUserService sysUserService;


    /**
     * 登录功能
     * @return
     */
    @PostMapping(value = "login")
    @ApiOperation(value = "商城用户登陆-角色")
    public Result login(@RequestBody LoginRequest user, HttpServletRequest request) {
        return sysUserService.loginByUser(user);
    }
}
