package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/2
 * @Version:
 */
@Data
@ApiModel
@TableName(value = "t_role_goods")
public class RoleGoods implements Serializable {

    @TableId(value = "role_goods_id", type = IdType.AUTO)
    private Long roleGoodsId;

    @TableField("role_id")
    private Long roleId;

    @TableField("data_goods_id")
    private Long dataGoodsId;

    @TableField("del_flag")
    private String delFlag;

    @TableField(exist = false)
    private String roleName;
}
