package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: 商品-场景分类关系表
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */
@TableName("t_scene_goods_category")
@Data
@ApiModel
public class SceneGoodsCategory implements Serializable {

    private static final long serialVersionUID = 7794764423295187797L;

    @TableId(value = "scene_category_id", type = IdType.AUTO)
    private Long sceneCategoryId;

    @TableField("scene_id")
    private Long sceneId;

    @TableField("category_id")
    private Long categoryId;

    @TableField("del_flag")
    private String delFlag;
}
