package com.jz.manage.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.jz.common.base.BaseMapper;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.goods.bean.dto.CategoryAndSceneDto;
import com.jz.manage.moduls.entity.DataGoodsCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 数据商品分类(行业)(TDataGoodsCategory)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
public interface DataGoodsCategoryDao extends BaseMapper<DataGoodsCategory> {





    List<DataGoodsCategory> findByScene();

    /**
     * 条件查询分类
     * @param id
     * @return
     */
    List<DataGoodsCategory> selectByList(@Param("id") Long id);


    CategoryAndSceneDto getCategoryDetail(@Param("categoryId") Long categoryId);


    List<DataGoodsCategory> selectByCategory();

    List<DataGoodsCategory> selectByList1(@Param("id") Long id);
}