package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.goods.bean.dto.DepartmentDataGoodsDto;
import com.jz.manage.moduls.controller.goods.bean.request.DataApiUpReq;
import com.jz.manage.moduls.controller.goods.bean.request.DepartmentByRenewReq;
import com.jz.manage.moduls.controller.goods.bean.request.DepartmentDataGoodsReq;


/**
 * api商品(TDataGoodsApi)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
public interface DataGoodsApiService {

    /**
     * 主键查询数据详情
     * @param id
     * @return
     */
    Result selectById(Long id) throws Exception;

    /**
     * 条件查询企业商品列表
     * @param req
     * @return
     */
    Result<IPage<DepartmentDataGoodsDto>> findByDepartmentGoods(DepartmentDataGoodsReq req);


    Result DepartmentByRenew(DepartmentByRenewReq req) throws Exception;
}