package com.jz.common.enums;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/2
 * @Version:
 */
public enum  DataGoodsByRoleEnum {
    logOutUser("logOutUser", "1"),
    unverifiedUser("unverifiedUser", "2"),
    authenticatedUser("authenticatedUser", "3"),
    ;
    private String code;
    private String value;
    DataGoodsByRoleEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static DataGoodsByRoleEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (DataGoodsByRoleEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
