package com.jz.common.enums;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/1
 * @Version:
 */
public enum DataStatusEnum {
    YS("YS", "01"),
    ZS("ZS", "02"),
    XJ("XJ", "03"),
    SJ("SJ", "04"),
    ;
    private String code;

    private String value;
    DataStatusEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static DataStatusEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (DataStatusEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
