package com.jz.common.utils;

import java.util.Base64;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/28
 * @Version:
 */
public class Base64Util {

    private static final String SALT = "wj";       //公版的盐值
    private static final int REPEAT = 3;        ///加密的次数
    /**
     * 加密处理
     *
     * @param password 要加密的字符串密码数据,需要与盐值配合
     * @return 加密后的数据
     */
    public static String encode(String password) {
        password = password + "{" + SALT + "}";
        byte[] bytes = password.getBytes();
        for (int i = 0; i < REPEAT; i++) {
            bytes = Base64.getEncoder().encode(bytes);
        }
        return new String(bytes);
    }

    /**
     * 解密
     *
     * @param needDecode 需要解密的数据
     * @return 解密的结果
     */
    public static String decode(String needDecode) {
        byte[] bytes = needDecode.getBytes();
        for (int i = 0; i < REPEAT; i++) {
            bytes = Base64.getDecoder().decode(bytes);
        }
        return new String(bytes).replaceAll("\\{\\w+}", "");
    }

    public static void main(String[] args) {
        String encode = encode("123456");
        System.out.println(encode);
    }
}
