package com.jz.dm.mall.moduls.controller.company.bean.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/18
 * @Version:
 */
@ApiModel("重新认证企业校验请求参数")
@Data
public class CompanyEditReq implements Serializable {

    @ApiModelProperty(value = "统一社会编码",required = true)
    @NotNull(message = "统一社会编码不能为空")
    private String unifiedCreditCode;
}
