package com.jz.dm.mall.moduls.controller.customer.bean.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/24
 * @Version:
 */
@ApiModel(value = "vss登陆账号请求参数")
@Data
public class LoginByVSSReq implements Serializable {

    @ApiModelProperty(value = "用户账号")
    @NotNull(message = "用户账号不能为空")
    private String customerAccount;

    @ApiModelProperty(value = "企业名称")
    @NotNull(message = "企业名称不能为空")
    private String departmentName;

    @ApiModelProperty(value = "统一社会信用代码")
    @NotNull(message = "统一社会信用代码不能为空")
    private String unifiedCreditCode;

    @ApiModelProperty(value = "供应商编码")
    @NotNull(message = "供应商编码不能为空")
    private String vendorId;
}
