package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/20
 * @Version:
 */
@ApiModel("api详情返回参数")
@Data
public class DataApiDetailsDto implements Serializable {

    @ApiModelProperty(value = "apiId")
    private Long id;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

    @ApiModelProperty(value = "api名称")
    private String apiName;
    @ApiModelProperty(value = "返回类型")
    private String outputType;

    @ApiModelProperty(value = "目标地址")
    private String targetUrl;

    @ApiModelProperty(value = "加密方式 0:无 1:MD5,2:RES")
    private String signType;
    @ApiModelProperty(value = "传输方式 0,http，1.https")
    private String apiProtocl;

    @ApiModelProperty(value = "超时时间")
    private Integer timeout;

    @ApiModelProperty(value = "请求方式")
    private String reqType;

    @ApiModelProperty(value = "最大行数")
    private Integer maxRow;

    @ApiModelProperty(value = "每页返回数")
    private Integer pageRow;

    @ApiModelProperty(value = "调用限制")
    private Long reqFrequency;
    @ApiModelProperty(value = "api描述")
    private String apiFunction;
    @ApiModelProperty(value = "最大数据量")
    private Integer maxData;
    @ApiModelProperty(value = "请求参数")
    private String requestParam;
    @ApiModelProperty(value = "返回参数")
    private String responseParam;
    @ApiModelProperty(value = "api类型")
    private String apiType;
}
