package com.jz.dm.mall.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/22
 * @Version:
 */
@ApiModel(value = "数据预览--商品详情请求参数")
@Data
public class DataApiDetailsReq implements Serializable {

    @ApiModelProperty(value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long dataGoodsId;

    @ApiModelProperty(value = "apiKey")
    @NotNull(message = "apiKey不能为空")
    private String apiKey;

    @ApiModelProperty(value = "是否授权")
    private String goodsToken;
}
