package com.jz.dm.mall.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NonNull;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
public class DemandAddReq implements Serializable {

    @ApiModelProperty(value = "需求名称")
    @NotNull(message = "需求名称不能为空")
    private String demandName;

    @ApiModelProperty(value = "需求描述")
    @NotNull(message = "需求描述不能为空")
    private String demandDescribe;
}
