package com.jz.dm.mall.moduls.controller.order.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/20
 * @Version:
 */
@ApiModel(value = "订单管理-条件分页列表-买方")
@Data
public class OrderByPurchaserDto implements Serializable {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "商品id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "商品名称")
    private String dataName;

    @ApiModelProperty(value = "调用数")
    private String callNumber;

    @ApiModelProperty(value = "错误率")
    private String errorRate;

    @ApiModelProperty(value = "价格")
    private String orderMoney;

    @ApiModelProperty(value = "价格类型 01免费，02收费")
    private String priceType;

    @ApiModelProperty(value = "盐值")
    private String saltValue;

    @ApiModelProperty(value = "授权码")
    private String requestToken;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

    @ApiModelProperty(value = "订单状态 01有效，02失效")
    private String goodsStatus;

}
