package com.jz.dm.mall.moduls.controller.order.bean.req;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: LogInfoListReq
 * @DATE: 2020-12-25/14:59
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@Data
@ApiModel("日志信息列表")
public class LogInfoListReq implements Serializable {

    @ApiModelProperty(value = "状态:SUCCEED 请求成功, FAIL 请求失败")
    private String status;
    @ApiModelProperty(value = "ApiKey")
    @NotNull(message = "apiKey不能为空")
    private String apiKey;
    @ApiModelProperty(value = "客户请求token")
    @NotNull(message = "客户请求token不能为空")
    private String requestToken;
    @ApiModelProperty(value = "创建时间")
    private String createDate;
    @ApiModelProperty(value = "历史查询-数据银行: 输入01")
    private String historyQuery;

    @ApiModelProperty(value = "订单id")
    private Long orderId;
}
