package com.jz.dm.mall.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.goods.bean.request.DemandAddReq;
import com.jz.dm.mall.moduls.controller.goods.bean.request.DemandListReq;
import com.jz.dm.mall.moduls.entity.Demand;

/**
 * 用户需求定制申请(TDemand)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:34
 */
public interface DemandService {

    /**
     * 条件查询需求
     * @param req
     * @return
     */
    Result<IPage<Demand>> findList(DemandListReq req);

    /**
     * 需求发布
     * @param req
     * @return
     */
    Result addDemand(DemandAddReq req);

    /**
     * 查询需求详情
     * @param demandId
     * @return
     */
    Result findByDemand(Long demandId);
}