package com.jz.manage.moduls.controller.config.bean.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
public class CategoryConfigEditReq implements Serializable {

    @ApiModelProperty("分类id")
    @NotNull(message = "分类id不能为空")
    private Long categoryId;

    @ApiModelProperty("图片")
    @NotNull(message = "图片不能为空")
    private String categoryPicture;

    @ApiModelProperty("描述")
    @NotNull(message = "描述不能为空")
    private String categoryDesc;
}
