package com.jz.manage.moduls.controller.customer.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/18
 * @Version:
 */
@ApiModel("校验企业是否通过认证请求参数")
@Data
public class CheckDepartmentAuditReq implements Serializable {

    @ApiModelProperty(value = "统一社会信用代码")
    @NotNull(message = "统一社会信用代码不能为空")
    private String unifiedCreditCode;
}
