package com.jz.manage.moduls.controller.customer.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/10
 * @Version:
 */
@ApiModel(value = "企业审核信息请求参数封装")
@Data
public class EnterpriseAuditRequest extends BasePageBean {



    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "联系人电话")
    private String customerPhone;

    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    @ApiModelProperty(value = "搜索")
    private String search;

    @ApiModelProperty(value = "提交时间")
    private String creTime;

    @ApiModelProperty(value = "企业角色")
    private Long roleId;

    @ApiModelProperty(value = "企业地址")
    private String registeredAddress;
}
