package com.jz.manage.moduls.controller.finance.platForm.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/19
 * @Version:
 */
@ApiModel("财务管理-企业-企业交易详情返回参数")
@Data
public class TradeCompanyDetailDto implements Serializable {
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;
    @ApiModelProperty(value = "商品名称")
    private String dataName;
    @ApiModelProperty(value = "订单金额")
    private String paymentMoney;
    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date creTime;
    @ApiModelProperty(value = "支付方式 01:余额")
    private String paymentMethod;
}
