package com.jz.manage.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/22
 * @Version:
 */
@ApiModel("根据api制作的商品返回参数")
@Data
public class ApiDataGoodsListDto implements Serializable {

    @ApiModelProperty(value = "商品id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "商品名称")
    private String dataName;

    @ApiModelProperty(value = "商品上下架状态 04上架，03下架")
    private String dataStatus;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

}
