package com.jz.manage.moduls.controller.goods.bean.dto;

import com.jz.manage.moduls.entity.DataGoods;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/20
 * @Version:
 */
@ApiModel("数据列表返回参数")
@Data
public class ApiDataListDto implements Serializable {

    @ApiModelProperty(value = "api名称")
    private String apiName;

    @ApiModelProperty(value = "apiId")
    private Long id;

    @ApiModelProperty(value = "数据类型")
    private String apiType;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

    @ApiModelProperty(value = "数据大小" , hidden = true)
    private String dataBag;

    @ApiModelProperty(value = "创建时间")
    private Date createDate;

    @ApiModelProperty(value = "更新时间")
    private Date updateDate;

    @ApiModelProperty(value = "商品")
    private List<ApiDataGoodsListDto> children;

//    @ApiModelProperty(value = "商品id")
//    private Long dataGoodsId;
//
//    @ApiModelProperty(value = "商品名称")
//    private String dataName;
//
//    @ApiModelProperty(value = "商品上下架 01上架 02下架")
//    private String dataStatus;
}
