package com.jz.manage.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */
@ApiModel
@Data
public class AddCateGoryReq implements Serializable {

    @ApiModelProperty("上级分类id")
    private Long categoryId;

    @ApiModelProperty("商品分类名称")
    @NotNull(message = "商品分类名称不能为空")
    private String categoryName;

    @ApiModelProperty("所属场景id/ 编辑-新场景id")
    private Long sceneId;

    @ApiModelProperty("编辑-旧场景id")
    private Long oldSceneId;
}
