package com.jz.manage.moduls.controller.goods.bean.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/5
 * @Version:
 */
@ApiModel
@Data
public class AuthRenewUpdateReq implements Serializable {

    @ApiModelProperty(value = "授权码",required = true)
    @NotNull(message = "授权码不能为空")
    private String authCode;

    @ApiModelProperty(value = "有效截止时间",required = true)
    @NotNull(message = "有效截止时间不能空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date validEndTime;
}
