package com.jz.manage.moduls.controller.goods.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/22
 * @Version:
 */
@ApiModel(value = "制作商品-获取制作的商品请求参数")
@Data
public class DataGoodsByMakeReq extends BasePageBean implements Serializable {
    @ApiModelProperty(value = "apiKey", required = true)
    @NotNull(message = "apiKey不能为空")
    private String apiKey;

    @ApiModelProperty(value = "商品名称")
    private String dataName;

    @ApiModelProperty(value = "商品上架状态 03下架，04上架")
    private Integer dataStatus;
}
