package com.jz.manage.moduls.controller.goods.bean.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
public class DemandAuditReq implements Serializable {

    @ApiModelProperty("需求id")
    @NotNull(message = "需求id不能为空")
    private Long demandId;

    @ApiModelProperty("审核状态 01通过 02不通过")
    @NotNull(message = "审核状态不能为空")
    private String auditStatus;

    @ApiModelProperty("审核说明")
    private String rejectReason;
}
