package com.jz.manage.moduls.controller.goods.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.resp
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: SendDataReq
 * @DATE: 2021-1-29/17:35
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@Data
@ApiModel
public class SendDataReq extends BasePageBean implements Serializable {

    @ApiModelProperty(value = "关键词")
    private String key;

    @ApiModelProperty(value = "数据类型")
    private String apiType;

    @ApiModelProperty(value = "数据格式:Json   Flow")
    private String outputType;


    @ApiModelProperty(value = "创建开始时间")
    private String startTime;

    @ApiModelProperty(value = "创建结束时间")
    private String endTime;
}
