package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
@TableName("t_menu_config")
public class MenuConfig implements Serializable {
    private static final long serialVersionUID = -5307571642090373317L;

    @ApiModelProperty(value = "广告id")
    @TableId(value = "config_id", type = IdType.AUTO)
    private Long configId;

    @ApiModelProperty(value = "菜单名称")
    private String configName;

    @ApiModelProperty(value = "菜单路径")
    private String configUrl;

    @ApiModelProperty(value = "创建时间")
    private Date creTime;

    @ApiModelProperty(value = "创建人")
    private String crePerson;

    @ApiModelProperty(value = "更新时间")
    private Date uptTime;

    @ApiModelProperty(value = "更新人")
    private String uptPerson;

    @ApiModelProperty(value = "删除标识")
    private String delFlag;
}
