package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.config.bean.req.CategoryConfigEditReq;
import com.jz.manage.moduls.controller.config.bean.req.CategoryConfigReq;
import com.jz.manage.moduls.controller.config.bean.req.MenuConfigReq;
import com.jz.manage.moduls.entity.DataGoodsCategory;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
public interface MenuConfigServer {
    /**
     * 查询全部菜单
     * @return
     */
    Result findList();

    /**
     * 编辑菜单
     * @param req
     * @return
     */
    Result editUrl(MenuConfigReq req);


    /**
     * 条件分类配置
     * @param req
     * @return
     */
    Result<IPage<DataGoodsCategory>> findCategory(CategoryConfigReq req);

    /**
     * 编辑分类配置
     * @param req
     * @return
     */
    Result editCategory(CategoryConfigEditReq req);
}
