package com.jz.manage.moduls.service;


import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.sys.bean.req.LoginRequest;

import java.util.Map;

/**
 * 平台系统用户表(SysUser)表服务接口
 *
 * @author Bellamy
 * @since 2020-11-29 14:30:26
 */
public interface SysUserService {


    Map<String,Object> getUserRoleByAccount(Long userId, Long roleId);

    /**
     * 平台--根据角色展示菜单
     * @param userId
     * @param roleId
     * @return
     */
    Result getMenu(Long userId, Long roleId);

    /**
     * 登陆
     * @param user
     * @return
     */
    Result loginByUser(LoginRequest user);
}